> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single custom group

> Retrieve a single custom group with its associated products and brands.



## OpenAPI

````yaml /api-reference/openapi.json get /customGroups/{id}
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /customGroups/{id}:
    get:
      tags:
        - custom-group
      summary: Retrieve a single custom group
      description: Retrieve a single custom group with its associated products and brands.
      operationId: getCustomGroup
      parameters:
        - name: id
          in: path
          description: Group ID
          required: true
          schema:
            type: string
        - name: channelId
          in: query
          description: Channel ID
          required: true
          schema:
            type: string
        - name: merchantId
          in: query
          description: Merchant ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomGroupResponse'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    GetCustomGroupResponse:
      type: object
      description: A single custom group with its associated products and brands
      properties:
        group:
          type: object
          properties:
            groupId:
              type: integer
            groupName:
              type: string
            products:
              type: array
              items:
                type: object
                properties:
                  sellerSku:
                    type: string
                    description: The seller SKU of the product
            brands:
              type: array
              items:
                type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````